var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconTreeObjectComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-tree_object").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : 'none', viewBox: "0 0 22 22" }, rest, { ref: ref }),
        React.createElement("rect", { width: "22", height: "22", fill: useCurrentColor ? 'currentColor' : '#48B8E8', rx: "6" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', fillRule: "evenodd", d: "M5 7.173C5 5.973 5.996 5 7.225 5h7.55C16.004 5 17 5.973 17 7.173v7.654c0 1.2-.996 2.173-2.225 2.173h-7.55C5.996 17 5 16.027 5 14.827V7.173Zm1.808 1.258a.603.603 0 0 0 0 .863.633.633 0 0 0 .442.18h2.5a.638.638 0 0 0 .442-.18.609.609 0 0 0 .183-.431.599.599 0 0 0-.183-.432.625.625 0 0 0-.442-.179h-2.5a.633.633 0 0 0-.442.179Zm0 4.274a.603.603 0 0 0 0 .863.633.633 0 0 0 .442.179h2.5a.64.64 0 0 0 .442-.179.609.609 0 0 0 .183-.432.598.598 0 0 0-.183-.431.626.626 0 0 0-.442-.18h-2.5a.633.633 0 0 0-.442.18Zm8.384-5.495a.603.603 0 0 1 0 .863l-1.875 1.832a.633.633 0 0 1-.884 0l-.938-.916a.603.603 0 0 1 .008-.856.632.632 0 0 1 .876-.007l.496.484 1.433-1.4a.632.632 0 0 1 .884 0Zm-1.931 5.362a.64.64 0 0 1 .68.133.604.604 0 0 1 0 .863.633.633 0 0 1-1.019-.198.598.598 0 0 1 .136-.665.627.627 0 0 1 .203-.133Zm-1.087-.73a1.81 1.81 0 0 0-.55 1.294c0 .486.198.952.55 1.296.352.343.829.536 1.326.536.497 0 .974-.193 1.326-.537.351-.343.549-.809.549-1.295a1.81 1.81 0 0 0-.55-1.295 1.898 1.898 0 0 0-1.325-.536c-.497 0-.974.193-1.326.536Z", clipRule: "evenodd" }));
}
var IconTreeObject = React.forwardRef(IconTreeObjectComponent);
export default IconTreeObject;
